org.apache.commons.math3.optimization.fitting

## Class CurveFitter.TheoreticalValuesFunction

- java.lang.Object
- - org.apache.commons.math3.optimization.fitting.CurveFitter.TheoreticalValuesFunction

All Implemented Interfaces:
  MultivariateDifferentiableVectorFunction, MultivariateVectorFunction

Enclosing class:
  CurveFitter<T extends ParametricUnivariateFunction>

    private class CurveFitter.TheoreticalValuesFunction
    extends java.lang.Object
    implements MultivariateDifferentiableVectorFunction

Vectorial function computing function theoretical values.

### Field Summary

Fields
`private ParametricUnivariateFunction` `f` Function to fit.

### Constructor Summary

Constructors
Constructor and Description
`CurveFitter.TheoreticalValuesFunction(ParametricUnivariateFunction f)` Simple constructor.

### Method Summary

Methods
`DerivativeStructure[]` `value(DerivativeStructure[] point)` Compute the value for the function at the given point.
`double[]` `value(double[] point)` Compute the value for the function at the given point.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### f

    private final ParametricUnivariateFunction f

Function to fit.

### Constructor Detail

#### CurveFitter.TheoreticalValuesFunction

    public CurveFitter.TheoreticalValuesFunction(ParametricUnivariateFunction f)

Simple constructor.

Parameters:
  `f` - function to fit.

### Method Detail

#### value

    public double[] value(double[] point)

Compute the value for the function at the given point.

Specified by:
  `value` in interface `MultivariateVectorFunction`
Parameters:
  `point` - point at which the function must be evaluated
Returns:
  function value for the given point

#### value

    public DerivativeStructure[] value(DerivativeStructure[] point)

Compute the value for the function at the given point.

Specified by:
  `value` in interface `MultivariateDifferentiableVectorFunction`
Parameters:
  `point` - point at which the function must be evaluated
Returns:
  function value for the given point